#
# spec file for package python-jaraco.itertools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-jaraco.itertools
Version:        2.0.1
Release:        0
Summary:        Tools to work with iterables
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/jaraco.itertools
Source0:        https://files.pythonhosted.org/packages/source/j/jaraco.itertools/jaraco.itertools-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module jaraco.base}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module inflect}
BuildRequires:  %{python_module more-itertools}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six}
%endif
Requires:       python-jaraco.base
Requires:       python-inflect
Requires:       python-more-itertools
Requires:       python-six
BuildArch:      noarch

%python_subpackages

%description
jaraco.itertools Tools for working with iterables.
Complements itertools and more_itertools.

%prep
%setup -q -n jaraco.itertools-%{version}
sed -i -e "s/'pytest_runner'/'pytest-runner'/" setup.py
rm -rf jaraco.itertools.egg-info

%build
%python_build

%install
%python_install
# We aren't using the nspkg approach anymore
%{python_expand rm -r %{buildroot}%{$python_sitelib}/jaraco.itertools-%{version}-py*-nspkg.pth
%fdupes %{buildroot}%{$python_sitelib}
}

%if %{with test}
%check
%python_expand py.test-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root)
%doc docs/*.rst README.rst CHANGES.rst
%{python_sitelib}/jaraco.itertools-%{version}-py*.egg-info
%{python_sitelib}/jaraco/itertools.py*
%pycache_only %{python_sitelib}/jaraco/__pycache__/itertools*.py*

%changelog
